Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
fitness::HardwareHealth::FailureStatusChangedEvent Struct Reference

Event that is send when the hardware failure status changes. More...

Inheritance diagram for fitness::HardwareHealth::FailureStatusChangedEvent:

## Public Attributes
string | componentId
| the ID of the affected hardware component
int | failureType
| one of the hardware failure type constants
boolean | isAsserted
| `true` when the failure is currently asserted
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event that is send when the hardware failure status changes.

The documentation for this struct was generated from the following file:

- HardwareHealth.idl